﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace NumericEditorEditModeFormat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamNumericEditor_Loaded(object sender, RoutedEventArgs e)
        {
            editor.Value = 1500.35;
        }

        private void Selector_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            CultureInfo culture = null;
            var selectedCulture = ((sender as ComboBox).SelectedItem as ComboBoxItem).Content.ToString();
            culture = new CultureInfo(selectedCulture);
            switch (selectedCulture)
            {
                case "en-US":
                    culture.NumberFormat.NumberDecimalSeparator = ".";
                    culture.NumberFormat.NumberGroupSeparator = ",";
                    break;
                case "it-IT":
                    culture.NumberFormat.NumberDecimalSeparator = ",";
                    culture.NumberFormat.NumberGroupSeparator = ".";
                    break;
                default:
                    throw new Exception("Element not found!");
            }

            editor.FormatProvider = culture;
        }

    }
}
